[
{
    blockid=proxy;
    help=service_http_proxy_proxy;
    localvar={
        .adminproxy.text="Proxy-Authentifizierung f\u00fcr Admin zulassen";
	.delimiter="$";
	.allow.help="Die Proxy-Authentifizierung wird zugelassen, wenn ein (D\u00e4mon/Client) Paar mit einem ALLOW-Filter \u00fcbereinstimmt.";
	.allow.header="Zulassen";
	.allow.title="ALLOW-Filtereintrag";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=allowlabel;
	    text=$.allow.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=allowtable;
	    showedit=true;
	    buttonsat=east;
	    label=allowlabel;
	    visiblerows=5;
	    stdtable=true;
	    addui=allowdialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    editui=allowdialog;
	    addtitle=$.allow.title;
	    edittitle=$.allow.title;
	    val=$proxydomainallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		weighty=1;
		fill=h;
		anchor=northwest;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.allow.header;
		    varname=allowrule;
		}
	    ]
	}
    ]
},
{
    blockid=allowdialog;
    help=service_http_proxy_allowdialog;
    localvar={
	.allowrule.help="ALLOW-Filter:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.allowrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$allowrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.httpaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.httpaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
